classification
Title: regen autotools related files
Type: enhancement Stage: commit review
Components: Build Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: anthonybaxter, barry, benjamin.peterson, eitan.adler, eric.araujo, georg.brandl, gvanrossum, lemburg, matrixise, ned.deily, petr.viktorin, serhiy.storchaka, tarek
Priority: normal Keywords: patch

Created on 2018-05-13 19:08 by eitan.adler, last changed 2018-11-04 19:43 by ned.deily.

Pull Requests
URL Status Linked Edit
PR 6783 closed eitan.adler, 2018-05-13 19:11
PR 6853 merged eitan.adler, 2018-05-15 07:41
Messages (7)
msg316477 - (view) Author: Eitan Adler (eitan.adler) * Date: 2018-05-13 19:08
There are few if any functional changes, but this is helpful when making other changes to the build system.
msg316625 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-15 05:58
If these changes are autogenerated, I would prefer that a trusted core developer create a PR.

Is it safe to bump the minimal required version of autotools to 2.69? This can prevent building Python on conservative systems.
msg316629 - (view) Author: Eitan Adler (eitan.adler) * Date: 2018-05-15 07:26
> If these changes are autogenerated, I would prefer that a trusted core developer create a PR.

They are fully auto-generated (using autoupdate and autoreconf). It someone else wants to submit the PR, feel free.

> Is it safe to bump the minimal required version of autotools to 2.69? This can prevent building Python on conservative systems.

This should only affect rerunning autoreconf and related tools. It won't affect the use of "configure" (and therefore "make") which is checked into the repository.
msg325411 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2018-09-14 22:53
> If these changes are autogenerated, I would prefer that a trusted core developer create a PR.

I got the same changes in configure.ac.
msg325412 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2018-09-14 22:55
New changeset 24f684692070f53b6f6e4dc67b9fe23dbd58655f by Petr Viktorin (Eitan Adler) in branch 'master':
bpo-33486: regen autotools files using autoupdate+autoreconf (GH-6853)
https://github.com/python/cpython/commit/24f684692070f53b6f6e4dc67b9fe23dbd58655f
msg329249 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-11-04 19:31
If we are going to bump the tools version from 2.65 to 2.69 for master, we should probably bump them for all active branches.  It creates confusion and makes backporting more difficult.  Besides, it appears that, at the moment, the checked-in configure files for 3.7, 3.6, and 2.7 were all generated with 2.69 anyway :)  if doing so, the reference to 2.65 in the devguide setup.rst should also be updated.
msg329250 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2018-11-04 19:34
Hi Ned, thanks for this clarification
History
Date User Action Args
2018-11-04 19:43:41ned.deilysetstage: patch review -> commit review
2018-11-04 19:43:32ned.deilysetpull_requests: - pull_request9626
2018-11-04 19:34:23matrixisesetstage: commit review -> patch review
pull_requests: + pull_request9626
2018-11-04 19:34:06matrixisesetnosy: + matrixise
messages: + msg329250
2018-11-04 19:31:20ned.deilysetresolution: fixed ->
stage: resolved -> commit review
2018-11-04 19:31:03ned.deilysetstatus: closed -> open

messages: + msg329249
versions: + Python 2.7, Python 3.6, Python 3.7, Python 3.8
2018-09-14 22:56:56petr.viktorinsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2018-09-14 22:55:23petr.viktorinsetmessages: + msg325412
2018-09-14 22:53:08petr.viktorinsetnosy: + petr.viktorin
messages: + msg325411
2018-05-15 07:41:03eitan.adlersetpull_requests: + pull_request6528
2018-05-15 07:26:46eitan.adlersetmessages: + msg316629
2018-05-15 05:58:50serhiy.storchakasetnosy: + ned.deily, barry, anthonybaxter, serhiy.storchaka, eric.araujo, gvanrossum, lemburg, benjamin.peterson, georg.brandl, tarek
messages: + msg316625
2018-05-13 19:11:20eitan.adlersetkeywords: + patch
stage: patch review
pull_requests: + pull_request6470
2018-05-13 19:08:03eitan.adlercreate